Debian Bug report logs - #676162
libqtwebkit4:i386 unable to install on amd64 dist

version graph

Package: libqtwebkit4; Maintainer for libqtwebkit4 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for libqtwebkit4 is src:qtwebkit.

Reported by: Detlev Brodowski <detlev.brodowski@newcotec.com>

Date: Tue, 5 Jun 2012 07:03:04 UTC

Severity: important

Merged with 693408, 694111

Found in version qtwebkit/2.2.1-4

Fixed in versions qtwebkit/2.2.1-5, 2.2.1-5

Done: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#676162; Package libqtwebkit4. (Tue, 05 Jun 2012 07:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Detlev Brodowski <detlev.brodowski@newcotec.com>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 05 Jun 2012 07:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Detlev Brodowski <detlev.brodowski@newcotec.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libqtwebkit4:i386 unable to install on amd64 dist
Date: Tue, 05 Jun 2012 09:00:07 +0200
Package: libqtwebkit4
Version: 2.2.1-4+b1
Severity: important

Hello maintainers,

at the moment it is not possible to install the i386 arch package on amd64 dist.

==========
Unpacking libqtwebkit4:i386 (from .../libqtwebkit4_2.2.1-4+b1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libqtwebkit4_2.2.1-4+b1_i386.deb (--unpack):
 trying to overwrite shared '/usr/share/doc/libqtwebkit4/changelog.Debian.gz', which is different from other instances of package libqtwebkit4:i386
configured to not write apport reports
                                      Errors were encountered while processing:
 /var/cache/apt/archives/libqtwebkit4_2.2.1-4+b1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
=========

Kind regards,
Detlev


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libqtwebkit4 depends on:
ii  libc6                            2.13-33
ii  libgcc1                          1:4.7.0-11
ii  libglib2.0-0                     2.32.3-1
ii  libgstreamer-plugins-base0.10-0  0.10.36-1
ii  libgstreamer0.10-0               0.10.36-1
ii  libqt4-network                   4:4.8.1-2
ii  libqtcore4                       4:4.8.1-2
ii  libqtgui4                        4:4.8.1-2
ii  libsqlite3-0                     3.7.12.1-1
ii  libstdc++6                       4.7.0-11
ii  libx11-6                         2:1.4.99.901-2
ii  libxrender1                      1:0.9.7-1
ii  multiarch-support                2.13-33

libqtwebkit4 recommends no packages.

libqtwebkit4 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#676162; Package libqtwebkit4. (Thu, 15 Nov 2012 04:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 15 Nov 2012 04:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 676162@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Debian Bug Tracking System <676162@bugs.debian.org>
Subject: Re: libqtwebkit4:i386 unable to install on amd64 dist
Date: Thu, 15 Nov 2012 05:41:12 +0100
Package: libqtwebkit4
Followup-For: Bug #676162

Hello,

a quick work-around for this is to force dpkg to overwrite the
file in question:

     apt-get install -f -o Dpkg::Options::="--force-overwrite

Since it affects the Debian changelog only, there aren't any problems
with the actual binaries to be expected.

However, this bug should be fixed ASAP since the latest version
of Skype 4.1 is available as an i386 Multi-Arch package only [1]. Thus,
people are currently unable to install the latest and greatest version
of Skype on Debian Wheezy thanks to this bug.

Cheers,

Adrian

> [1] http://www.skype.com/intl/en/get-skype/on-your-computer/linux/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#676162; Package libqtwebkit4. (Fri, 16 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert van den Berg <vandenberg.ra78@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 16 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.


Message #15 received at 676162@bugs.debian.org (full text, mbox):

From: Robert van den Berg <vandenberg.ra78@gmail.com>
To: 676162@bugs.debian.org
Date: Fri, 16 Nov 2012 09:17:34 +0100
Indeed an annoying bug. The workaround of Adrian works if one closes the ":
apt-get install -f -o Dpkg::Options::="--force-overwrite"



Merged 676162 693408 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 08:42:11 GMT) Full text and rfc822 format available.

Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Mon, 19 Nov 2012 01:21:17 GMT) Full text and rfc822 format available.

Notification sent to Detlev Brodowski <detlev.brodowski@newcotec.com>:
Bug acknowledged by developer. (Mon, 19 Nov 2012 01:21:18 GMT) Full text and rfc822 format available.

Message #22 received at 676162-close@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 676162-close@bugs.debian.org
Subject: Bug#676162: fixed in qtwebkit 2.2.1-5
Date: Mon, 19 Nov 2012 01:18:07 +0000
Source: qtwebkit
Source-Version: 2.2.1-5

We believe that the bug you reported is fixed in the latest version of
qtwebkit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676162@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> (supplier of updated qtwebkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Nov 2012 18:01:12 -0300
Source: qtwebkit
Binary: libqtwebkit-dev libqtwebkit4 libqtwebkit-qmlwebkitplugin libqtwebkit4-dbg
Architecture: source amd64
Version: 2.2.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Description: 
 libqtwebkit-dev - Web content engine library for Qt - development files
 libqtwebkit-qmlwebkitplugin - Qt WebKit QML plugin
 libqtwebkit4 - Web content engine library for Qt
 libqtwebkit4-dbg - Web content engine library for Qt - debugging symbols
Closes: 673268 676162 687036
Changes: 
 qtwebkit (2.2.1-5) unstable; urgency=low
 .
   * Team upload.
   * Re upload the package to fix the M-A uninstallability due to a binNMU
     (Closes: #676162).
   * This upload will get rebuilt with xz compression (Closes: #687036).
     Thanks Ansgar Burchardt for the patch.
   * Rewrite debian/copyright to DEP-5 (Closes: #673268).
     Thanks Elena ``of Valhalla'' Grandi and Tobias Bengfort.
     The current copyright is *huge*: 12637 lines. I have reviewed it but
     there still could be errors.
Checksums-Sha1: 
 0cefcf4452b0088943ee259d3a52be1b12f19f72 2319 qtwebkit_2.2.1-5.dsc
 f36f493e6d42d34d30dcac6668a28326e4cd5229 93971 qtwebkit_2.2.1-5.debian.tar.gz
 bfaea66e01d1bb8cf711db8bf3a30cea48bbbdcc 165034 libqtwebkit-dev_2.2.1-5_amd64.deb
 99e60c33e362c1c70364d1799a510136e4c08615 5820694 libqtwebkit4_2.2.1-5_amd64.deb
 e5c849b58a824b8911e8487288749acff07b3d66 167294 libqtwebkit-qmlwebkitplugin_2.2.1-5_amd64.deb
 20a55f7aee728ad918b13b751da47d9a124f8585 335390244 libqtwebkit4-dbg_2.2.1-5_amd64.deb
Checksums-Sha256: 
 fc22e3a377cee45c62728f5ab93a1d69deb3307c3377cb6eb61be5328c8105e5 2319 qtwebkit_2.2.1-5.dsc
 189c2851543daf4621fc75a436276e155252a5c10e30a1a2a3864a0bf54d7b26 93971 qtwebkit_2.2.1-5.debian.tar.gz
 47f568681d64b16f6e6b2fbf4d7ac76710fbc12f8846486a2dd5558a53a4de26 165034 libqtwebkit-dev_2.2.1-5_amd64.deb
 6c48caec4c73a25fbc2ee706b2deb87053111e49a998eeacd495c7fe6d10eed6 5820694 libqtwebkit4_2.2.1-5_amd64.deb
 809ec8833b34ee6d2420ec874fa157d7d25a316faef8f6ce52a06ba5e7c52b73 167294 libqtwebkit-qmlwebkitplugin_2.2.1-5_amd64.deb
 6b201f72c631d27eab820899b39f79c58ccb361fa1a0e51f5d8281e1304c687a 335390244 libqtwebkit4-dbg_2.2.1-5_amd64.deb
Files: 
 4f46aadb554f56e0fc333cfd2c82c289 2319 libs optional qtwebkit_2.2.1-5.dsc
 7c334f7b069268e6d2f5fb57f3cc7134 93971 libs optional qtwebkit_2.2.1-5.debian.tar.gz
 bf6520f84aa168244b8b89e533bc5a1f 165034 libdevel optional libqtwebkit-dev_2.2.1-5_amd64.deb
 503a06fc1fa1f97ac7ddef58f747977a 5820694 libs optional libqtwebkit4_2.2.1-5_amd64.deb
 1b323287b4fbe506bcffcaeb4b034c46 167294 libs optional libqtwebkit-qmlwebkitplugin_2.2.1-5_amd64.deb
 1016b22c60ea50f91ecacb20f4114772 335390244 debug extra libqtwebkit4-dbg_2.2.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQqVJ8AAoJEKtkX0BihqfQQT4P/jYUEExrJIZ5PcANs2GTi7XQ
DzRU0ciNgeHX2eFkK5u2uNoNSWoiEZdDVT31BLufFWglEAUoJciyDPyktTivS9ks
eXUNg69U/jc3AIMayl/Qt+WLGhlQPsYm9UUmFdQUs9Lzw9YkNLOyrdURgRcJmwDG
ZKu3Gjcinqfo5li/yGZtiXSprdn7UXTlmjbQfylaLs6UZ2jC9ZUWZXfJPly2OOj6
1EZnbjST+WcCe0jtx8IemtSQLkDjhDe5mu+QCVK5Zyj2GAismzb8/iuZGSsg7twD
YBxNptMUHt9kb2X2k+RARCHOMWuWlEPjULTpyNO7IkPMLGBFems1BN70JDLbnUA4
dVn4p9iI7PR4sR1yKHhIZGeVfkXUIYrAtoIDc85H/7tcbRIgDKSptjBiumkigh3n
lgYTTY5v9CEbnab33IsOJ9X+htofuwW893QD6QxV+jgar6A6mrlFGoSvuTj84fsG
IfjlP667lCoKw9SKOIvLzTixZ8zvCHALM07XVSPWjzA4BYAF84OLQyCwHKVy9Ldz
e735OJkd5+DmUkZFvYgXyuMG733Qm+Wf9228GXpo3ytcu6znpCTpCPAnCv9jEVio
rL5N9FfYphxnBo9mc0NtCmTb5YpPNlOr477ismdD0b69eAWa8moShGiY1eUC3sGW
lN6MV9CK/5TuRvfe3pXx
=EjQ+
-----END PGP SIGNATURE-----




Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Mon, 19 Nov 2012 01:21:18 GMT) Full text and rfc822 format available.

Notification sent to Daniele Di Proietto <d.diproietto@sssup.it>:
Bug acknowledged by developer. (Mon, 19 Nov 2012 01:21:19 GMT) Full text and rfc822 format available.

Merged 676162 693408 694111 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 00:27:11 GMT) Full text and rfc822 format available.

Message #29 received at 694111-done@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: 694111-done@bugs.debian.org
Subject: Re: Bug#694111: libqtwebkit4: i386 and amd64 changelog.Debian.gz differ
Date: Fri, 23 Nov 2012 22:17:54 -0300
[Message part 1 (text/plain, inline)]
Version: 2.2.1-5

On Fri 23 Nov 2012 21:02:28 Martin Blix Grydeland escribió:
> Package: libqtwebkit4
> Severity: important
> 
> Dear Maintainer,
> 
> In libqtwebkit4, the i386 and amd64 versions of the file
> /usr/share/doc/libqtwebkit4/changelog.Debian.gz differs. This causes the
> two packages to be unable to coexist when using multiarch.
> 
> The offending changelog entries seems to be from build daemons for the
> different architectures, including log entries about which architecture
> they are building for.

This has already been solved in the version in unstable, which is due to get 
in wheezy in ~6 days.

Kinds regards, Lisandro.

-- 
Simulations are like miniskirts, they show a lot and hide the essentials.
  Hubert Kirrman

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2012 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:18:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.